<div id="ribbon">
    <!-- breadcrumb -->
    <ol class="breadcrumb">
       
        <li>{{LANG.WAREHOUSE}}</li>
    </ol>
    <!-- end breadcrumb -->
</div>
<div  class="pad-t-13 col-md-12">
    <div class="bg-color-white pad-15 border-ccc ">

        <div class="panel-group">
            <div class="panel panel-default">
                    <div class="panel-body bg-gray">   
                        <p >{{LANG.SEARCH}}</p>
                        <input type="text" class="form-control" placeholder="{{LANG.BARCODE}}" ng-model="formDataSearch.name">    
                    </div>
                    <div class="panel-footer">                                       
                        <div class="row">
                            <div class="col-md-3">
                                <table>
                                    <tr>
                                        <td> {{LANG.SHOW}} :&nbsp;</td>
                                        <td width="50">
                                            <select class="form-control">
                                                <option value="10"> 10</option>
                                                <option value="20"> 20</option>
                                                <option value="30"> 30</option>
                                                <option value="40"> 40</option>
                                            </select>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="col-md-9">
                                <div class="pull-right">
                                    <button data-toggle="modal" data-target="#createForm" class="btn btn-success" type="button">{{LANG.NEW}}</button>
                                    <button class="btn btn-default" >{{LANG.EXPORT}}</button>
                                    <button ng-click="getListUser()" class="btn btn-primary " type="button">{{LANG.FILTER}}</button>
                                
                                </div>
                            </div>
                        </div>
                    
                    </div>
            </div>
        </div>

        

        <div class="clear">

        </div>
        
        <div class="table-responsive">	
            <table class="table table-hover table-bordered small">
                <thead>
                    <tr>
                        <th>{{LANG.NON}}</th>
                        <th>{{LANG.BARCODE}}</th>
                        <th>{{LANG.NAME}}</th>
                        <th>{{LANG.BRAND}}</th>
                        <th>{{LANG.CATEGORY}}</th>
                        <th>{{LANG.WS}}</th>
                        <th>{{LANG.QTY}}</th>
                        <th>{{LANG.DATE}}</th>
                        <th class="text-center" width="100">{{LANG.ACTION}}</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="(key,valueData) in listData">
                        <td>{{key+1}}</td>
                        <td>{{valueData.name}}</td>
                        <td>{{valueData.description}}</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td class="text-right">
                            <a class="btn btn-xs btn-primary" data-toggle="modal" data-target="#editForm" ng-click="updateFormData(valueData)"><i class="fa fa-edit"></i></a>
                            <a class="btn btn-xs btn-danger" data-toggle="modal" data-target="#deleteForm" ng-click="showFormDelete(valueData.id)"><i class="fa fa-trash"></i></a>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
<div class="clear">

</div>

<div class="modal fade" id="createForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <form name="form" novalidate="novalidate" ng-submit="form.$valid && actionSaveData() ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.NEW}}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>{{LANG.NAME}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formData.name"  placeholder="" required />
                            <div ng-show="form.$submitted || form.name.$touched">
                                <div ng-show="form.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.BRAND}} :</label>
                            <select class="form-control"ng-model="formData.brand" >
                                <option>-- Please Select --</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.CATEGORY}} :</label>
                            <select class="form-control"ng-model="formData.category" >
                                <option>-- Please Select --</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label>{{LANG.WS}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formData.ws"  placeholder=""  />
                           
                        </div>
                        <div class="form-group">
                            <label>{{LANG.QTY}} :</label>
                            <input type="text" class="form-control" name="qty" ng-model="formData.qty"  placeholder="" required />
                            <div ng-show="form.$submitted || form.qty.$touched">
                                <div ng-show="form.qty.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                      
                      
                    </div>
                </div>
              
                
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">
                    {{LANG.SAVE}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.CANCEL}}
                </button>
                
            </div>
        </div><!-- /.modal-content -->
        </form>
    </div><!-- /.modal-dialog -->
</div>

<div class="modal fade" id="editForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <form name="formUpdate" novalidate="novalidate" ng-submit="formUpdate.$valid && actionEditData() ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.UPDATE}}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>{{LANG.NAME}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formUpdateData.name"  placeholder="" required />
                            <div ng-show="formUpdate.$submitted || form.name.$touched">
                                <div ng-show="formUpdate.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.BRAND}} :</label>
                            <select class="form-control"ng-model="formUpdateData.brand" >
                                <option>-- Please Select --</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.CATEGORY}} :</label>
                            <select class="form-control"ng-model="formUpdateData.category" >
                                <option>-- Please Select --</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.WS}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formUpdateData.name"  placeholder=""  />
                            
                        </div>
                        <div class="form-group">
                            <label>{{LANG.QTY}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formUpdateData.name"  placeholder="" required />
                            <div ng-show="formUpdate.$submitted || form.name.$touched">
                                <div ng-show="formUpdate.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                       
                       
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">
                    {{LANG.SAVE}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.CANCEL}}
                </button>
            </div>
        </div><!-- /.modal-content -->
        </form>
    </div><!-- /.modal-dialog -->
</div>

<div class="modal fade" id="deleteForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.DELETE}}</h4>
            </div>
            <div class="modal-body">
                <h3>{{LANG.DO_YOU_WANT_TO_DELETE}}</h3>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" ng-click="actionDeleteData(id)">
                    {{LANG.YES}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.NO}}
                </button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>

